## org.eclipse.emf.cdo.defs
Interface CDOSessionDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOSessionDefImpl

    public interface CDOSessionDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'CDO Session Def'.

The following features are supported:

- `Connector Def`
- `Repository Name`
- `Cdo Package Registry Def`
- `Legacy Support Enabled`
- `Fail Over Strategy Def`

See Also:
  `CDODefsPackage.getCDOSessionDef()`

Method Summary
`CDOPackageRegistryDef` `getCdoPackageRegistryDef()` Returns the value of the 'Cdo Package Registry Def' reference.
`org.eclipse.net4j.defs.ConnectorDef` `getConnectorDef()` Returns the value of the 'Connector Def' reference.
`FailOverStrategyDef` `getFailOverStrategyDef()` Returns the value of the 'Fail Over Strategy Def' reference.
`java.lang.String` `getRepositoryName()` Returns the value of the 'Repository Name' attribute.
`boolean` `isLegacySupportEnabled()` Returns the value of the 'Legacy Support Enabled' attribute.
`boolean` `isSetConnectorDef()` Returns whether the value of the '`Connector Def`' reference is set.
`boolean` `isSetFailOverStrategyDef()` Returns whether the value of the '`Fail Over Strategy Def`' reference is set.
`void` `setCdoPackageRegistryDef(CDOPackageRegistryDef value)` Sets the value of the '`Cdo Package Registry Def`' reference.
`void` `setConnectorDef(org.eclipse.net4j.defs.ConnectorDef value)` Sets the value of the '`Connector Def`' reference.
`void` `setFailOverStrategyDef(FailOverStrategyDef value)` Sets the value of the '`Fail Over Strategy Def`' reference.
`void` `setLegacySupportEnabled(boolean value)` Sets the value of the '`Legacy Support Enabled`' attribute.
`void` `setRepositoryName(java.lang.String value)` Sets the value of the '`Repository Name`' attribute.
`void` `unsetConnectorDef()` Unsets the value of the '`Connector Def`' reference.
`void` `unsetFailOverStrategyDef()` Unsets the value of the '`Fail Over Strategy Def`' reference.

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConnectorDef

    org.eclipse.net4j.defs.ConnectorDef getConnectorDef()

  Returns the value of the 'Connector Def' reference.

  If the meaning of the 'Connector Def' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Connector Def' reference.
  See Also:
    `isSetConnectorDef()`, `unsetConnectorDef()`, `setConnectorDef(ConnectorDef)`, `CDODefsPackage.getCDOSessionDef_ConnectorDef()`

### setConnectorDef

    void setConnectorDef(org.eclipse.net4j.defs.ConnectorDef value)

  Sets the value of the '`Connector Def`' reference.

  Parameters:
    `value` - the new value of the 'Connector Def' reference.
  See Also:
    `isSetConnectorDef()`, `unsetConnectorDef()`, `getConnectorDef()`

### unsetConnectorDef

    void unsetConnectorDef()

  Unsets the value of the '`Connector Def`' reference.

  See Also:
    `isSetConnectorDef()`, `getConnectorDef()`, `setConnectorDef(ConnectorDef)`

### isSetConnectorDef

    boolean isSetConnectorDef()

  Returns whether the value of the '`Connector Def`' reference is set.

  Returns:
    whether the value of the 'Connector Def' reference is set.
  See Also:
    `unsetConnectorDef()`, `getConnectorDef()`, `setConnectorDef(ConnectorDef)`

### getRepositoryName

    java.lang.String getRepositoryName()

  Returns the value of the 'Repository Name' attribute.

  If the meaning of the 'Repository Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Repository Name' attribute.
  See Also:
    `setRepositoryName(String)`, `CDODefsPackage.getCDOSessionDef_RepositoryName()`

### setRepositoryName

    void setRepositoryName(java.lang.String value)

  Sets the value of the '`Repository Name`' attribute.

  Parameters:
    `value` - the new value of the 'Repository Name' attribute.
  See Also:
    `getRepositoryName()`

### getCdoPackageRegistryDef

    CDOPackageRegistryDef getCdoPackageRegistryDef()

  Returns the value of the 'Cdo Package Registry Def' reference.

  If the meaning of the 'Cdo Package Registry Def' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cdo Package Registry Def' reference.
  See Also:
    `setCdoPackageRegistryDef(CDOPackageRegistryDef)`, `CDODefsPackage.getCDOSessionDef_CdoPackageRegistryDef()`

### setCdoPackageRegistryDef

    void setCdoPackageRegistryDef(CDOPackageRegistryDef value)

  Sets the value of the '`Cdo Package Registry Def`' reference.

  Parameters:
    `value` - the new value of the 'Cdo Package Registry Def' reference.
  See Also:
    `getCdoPackageRegistryDef()`

### isLegacySupportEnabled

    boolean isLegacySupportEnabled()

  Returns the value of the 'Legacy Support Enabled' attribute. The default value is `"false"`.

  If the meaning of the 'Legacy Support Enabled' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Legacy Support Enabled' attribute.
  See Also:
    `setLegacySupportEnabled(boolean)`, `CDODefsPackage.getCDOSessionDef_LegacySupportEnabled()`

### setLegacySupportEnabled

    void setLegacySupportEnabled(boolean value)

  Sets the value of the '`Legacy Support Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Legacy Support Enabled' attribute.
  See Also:
    `isLegacySupportEnabled()`

### getFailOverStrategyDef

    FailOverStrategyDef getFailOverStrategyDef()

  Returns the value of the 'Fail Over Strategy Def' reference.

  If the meaning of the 'Fail Over Strategy Def' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fail Over Strategy Def' reference.
  See Also:
    `isSetFailOverStrategyDef()`, `unsetFailOverStrategyDef()`, `setFailOverStrategyDef(FailOverStrategyDef)`, `CDODefsPackage.getCDOSessionDef_FailOverStrategyDef()`

### setFailOverStrategyDef

    void setFailOverStrategyDef(FailOverStrategyDef value)

  Sets the value of the '`Fail Over Strategy Def`' reference.

  Parameters:
    `value` - the new value of the 'Fail Over Strategy Def' reference.
  See Also:
    `isSetFailOverStrategyDef()`, `unsetFailOverStrategyDef()`, `getFailOverStrategyDef()`

### unsetFailOverStrategyDef

    void unsetFailOverStrategyDef()

  Unsets the value of the '`Fail Over Strategy Def`' reference.

  See Also:
    `isSetFailOverStrategyDef()`, `getFailOverStrategyDef()`, `setFailOverStrategyDef(FailOverStrategyDef)`

### isSetFailOverStrategyDef

    boolean isSetFailOverStrategyDef()

  Returns whether the value of the '`Fail Over Strategy Def`' reference is set.

  Returns:
    whether the value of the 'Fail Over Strategy Def' reference is set.
  See Also:
    `unsetFailOverStrategyDef()`, `getFailOverStrategyDef()`, `setFailOverStrategyDef(FailOverStrategyDef)`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.